> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/ethereum-chain-data-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Chain info | Ethereum

> Ethereum chain data RPC methods for querying network details like chain ID, syncing status, and protocol version through Chainstack node endpoints.

<Check>
  ### Get your own node endpoint today

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

For example, if a developer wants to build a DApp on Ethereum, they would use these methods to get information about the network they are connecting to. They could use the chain ID information to make sure they are connecting to the right network and to ensure the security of their DApp; for example, distinguishing between the main network and a test network.

Retrieving chain information from the Ethereum blockchain can be done by using the following methods:

<CardGroup cols={2}>
  <Card title="eth_chainId" icon="angle-right" iconType="solid" href="/reference/chainid" horizontal />

  <Card title="eth_syncing" icon="angle-right" iconType="solid" href="/reference/ethereum-syncing" horizontal />
</CardGroup>
